<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['net.ihe.gazelle.schematronvalidator.ManageObjectTypes']}"/>
    <ui:param name="pageNameUrl" value="schematrons/manageObjectTypes.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.schematronvalidator.ManageObjectTypes']}"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.schematronvalidator.ObjectTypeManagement']}</h1>
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <s:div id="AllObjectTypesPanel">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['net.ihe.gazelle.schematronvalidator.ObjectTypes']}
                        </ui:define>
                        <rich:dataTable id="objectTypeListTable"
                                        value="#{objectTypeManagerBean.getAllObjectTypes()}" var="currentObjectType"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}">
                            <g:column id="NameColumn" sortBy="#{'name'}" sortOrder="ascending"
                                      filterBy="#{'name'}">
                                <ui:define name="header">#{messages['net.ihe.gazelle.schematronvalidator.Name']}</ui:define>
                                <h:outputText value="#{currentObjectType.name}"/>
                            </g:column>
                            <g:column id="KeywordColumn" sortBy="#{'keyword'}" sortOrder="ascending"
                                      filterBy="#{'keyword'}">
                                <ui:define name="header">#{messages['net.ihe.gazelle.schematronvalidator.Keyword']}
                                </ui:define>
                                <h:outputText value="#{currentObjectType.keyword}"/>
                            </g:column>
                            <g:column id="DescriptionColumn">
                                <ui:define name="header">
                                    #{messages['net.ihe.gazelle.schematronvalidator.Description']}
                                </ui:define>
                                <h:outputText value="#{currentObjectType.description}"/>
                            </g:column>
                            <g:column id="actionColumn">
                                <ui:define name="header">#{messages['net.ihe.gazelle.schematronvalidator.Action']}
                                </ui:define>
                                <div class="gzl-never-wrap">
                                    <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                                        <a4j:commandLink
                                                action="#{objectTypeManagerBean.editObjectType(currentObjectType)}"
                                                title="#{messages['net.ihe.gazelle.schematronvalidator.Edit']}"
                                                execute="@this">
                                            <span class="gzl-icon-pencil"></span>
                                        </a4j:commandLink>
                                        <a4j:commandLink
                                                rendered="#{objectTypeManagerBean.isObjectTypeDeletable(currentObjectType)}"
                                                title="#{messages['net.ihe.gazelle.schematronvalidator.Delete']}"
                                                render="deleteTextDiv"
                                                oncomplete="jq162('#deleteObjectTypePopup').modal('show');"
                                                action="#{objectTypeManagerBean.setSelectedObjectType(currentObjectType)}">
                                            <span class="gzl-icon-trash-o"></span>
                                        </a4j:commandLink>
                                        <a4j:commandLink
                                                rendered="#{!objectTypeManagerBean.isObjectTypeDeletable(currentObjectType)}"
                                                title="#{messages['net.ihe.gazelle.maven.ThisTypeIsUsedByOneOrMoreSchematronsYouCantDelet']}"
                                                render="deleteTextDiv">
                                            <span class="gzl-icon-trash-o-disable"/>
                                        </a4j:commandLink>
                                    </h:panelGroup>
                                </div>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="objectTypeListTable"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="createNewObjectTypeButton" styleClass="gzl-btn-green"
                                               value="#{messages['net.ihe.gazelle.schematronvalidator.NewObjectType']}"
                                               action="/schematrons/createObjectType.seam"
                                               rendered="#{s:hasRole('admin_role')}"
                                               render="globalDiv"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteObjectTypePopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.schematronvalidator.DeleteObjectType']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteTextDiv">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.maven.AreYouSureToDeleteTheObjectTypeWithTheName']} #{objectTypeManagerBean.selectedObjectType.name} ?"/>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.schematronvalidator.Yes']}"
                                       title="#{messages['net.ihe.gazelle.schematronvalidator.Delete']} #{objectTypeManagerBean.selectedObjectType.name}"
                                       action="#{objectTypeManagerBean.deleteSelectedObjectType()}"
                                       oncomplete="jq162('#deleteObjectTypePopup').modal('hide');"
                                       render="globalDiv"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.schematronvalidator.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deleteObjectTypePopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
